<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/top_ab"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:ignore="MissingConstraints">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:title=""
            app:titleTextColor="@color/white" >
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:id="@+id/back_iv"
                android:src="@drawable/ic_action_back"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="设置"
                android:id="@+id/title_tv"
                android:textSize="18sp"
                android:textColor="@color/white"/>
        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/top_ab"
        android:orientation="vertical"
        android:padding="10dp">
        <LinearLayout
            android:id="@+id/set_post_ly"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:orientation="vertical">
            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="服务器地址："
                tools:ignore="HardcodedText">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/host"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.google.android.material.textfield.TextInputLayout>

            <Button
                android:id="@+id/yes"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="保存"
                android:textColor="@color/white"
                tools:ignore="HardcodedText" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:orientation="horizontal">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:text="监听App列表"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/add_bt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="添加"
                android:textColor="@color/white"
                tools:ignore="HardcodedText" />
        </LinearLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="#DDDDDD" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerview"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/no_data"
                android:id="@+id/nodata_iv"
                android:visibility="gone"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:gravity="center_horizontal"
                android:drawablePadding="10dp"
                android:text="暂无监听"/>
        </androidx.appcompat.widget.LinearLayoutCompat>

    </LinearLayout>


</RelativeLayout>